Support Volgende » Algemene WordPress vragen Volgende » Index.php opschonen

  • Hoi ik heb sinds begin juli problemen. In mijn SEO komt steeds melding van forficula. Dit heeft ook al de site eens plat gelegd. Is het mogelijk om index.php op te schonen zonder dat het problemen voor de site geeft?

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

7 reacties aan het bekijken - 1 tot 7 (van in totaal 7)
  • Moderator Jeroen Rotty

    (@jeroenrotty)

    Support moderator

    Dat core-bestand kan gewoon overschreven worden met die uit de bronbestanden van WordPress zonder enig probleem. Wat je precies bedoelt en waarom je precies index.php aanhaalt, is mij eerder een vraagteken. Het klinkt alsof je site is gehackt en dat ze SEO praktijken doorvoeren.

    Groet,
    Jeroen

    Hoi Jeroen,

    die forficula komt voor in een array in het index.php.
    Daarom wil ik de index.php opschonen. Nu weet ik hoe ik wordpress moet installeren en hoe ik een site moet bouwen daarin. Mijn vraag is nu hoe kan ik dat core-bestand overschrijven en waar haal ik dat vandaan?

    Bedankt alvast voor je hulp.

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support moderator

    Hallo,

    Gewoon WordPress opnieuw downloaden, de .zip openen, index.php kopiëren naar de root van je website op de FTP en kiezen voor overschrijven.

    Op zich doet index.php niet veel en dit is core, niets mag hier rechtstreeks aan toegevoegd worden.

    Dit is de inhoud van de standaard index.php:

    <?php
    /**
     * Front to the WordPress application. This file doesn't do anything, but loads
     * wp-blog-header.php which does and tells WordPress to load the theme.
     *
     * @package WordPress
     */
    
    /**
     * Tells WordPress to load the WordPress theme and output it.
     *
     * @var bool
     */
    define('WP_USE_THEMES', true);
    
    /** Loads the WordPress Environment and Template */
    require( dirname( __FILE__ ) . '/wp-blog-header.php' );
    

    Groet,
    Jeroen

    • Deze reactie is gewijzigd 4 maanden, 2 weken geleden door  Jeroen Rotty.

    Het is gelukt mag ik je hartelijk danken. Nu hopen dat hij niet weer overschreven gaat worden.

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support moderator

    Moest dat toch overschreven worden dan ga je best iemand je installatie laten nakijken, want dan vermoed ik sowieso een hack.

    Groet,
    Jeroen

    Hebben het overschreven maar kwamen er achter dat ’s morgens weer was overschreven. dus is of wordpress lek of de hosting waar het is onder gebracht?

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support moderator

    Dat kan beide zijn. Ik zie bijvoorbeeld dat je website draait op PHP 5.4.45, dat alleen is al niet veilig, want die heeft al zeer lang geen updates meer. PHP 5.6 en 7.0 krijgen binnen enkele maanden ook geen beveiligingsupdates meer. PHP 7.1 en 7.2 is de norm.

    Ik heb geen sterk vertrouwen in je host als die nog steeds 5.4 aanlevert.

    Groet,
    Jeroen

7 reacties aan het bekijken - 1 tot 7 (van in totaal 7)